Runtime

## org.eclipse.gmf.runtime.diagram.core.providers
Interface IViewProvider

All Superinterfaces:
  IProvider

All Known Implementing Classes:
  AbstractViewProvider, ViewService

    public interface IViewProvider

extends IProvider

Method Summary
`Diagram` `createDiagram(IAdaptable semanticAdapter, java.lang.String diagramKind, PreferencesHint preferencesHint)` create an `Diagram` element.
`Edge` `createEdge(IAdaptable semanticAdapter, View containerView, java.lang.String semanticHint, int index, boolean persisted, PreferencesHint preferencesHint)` create an `Edge` element.
`Node` `createNode(IAdaptable semanticAdapter, View containerView, java.lang.String semanticHint, int index, boolean persisted, PreferencesHint preferencesHint)` create a `Node`.

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, provides, removeProviderChangeListener`

Method Detail

### createDiagram

    Diagram createDiagram(IAdaptable semanticAdapter,
                          java.lang.String diagramKind,
                          PreferencesHint preferencesHint)

  create an `Diagram` element.

  Parameters:
    `IAdaptable` - (for semantic element)
    `diagramKind` - indicates the diagram type
    `preferencesHint` - The preference hint that is to be used to find the appropriate preference store from which to retrieve diagram preference values. The preference hint is mapped to a preference store in the preference registry <@link DiagramPreferencesRegistry>.
  Returns:
    the created `Diagram`

### createEdge

    Edge createEdge(IAdaptable semanticAdapter,
                    View containerView,
                    java.lang.String semanticHint,
                    int index,
                    boolean persisted,
                    PreferencesHint preferencesHint)

  create an `Edge` element.

  Parameters:
    `IAdaptable` - (for semantic element)
    `containerView` - the container view that will contain the created view.
    `indicates` - the type of the Edge, it could be used later to determine the edge type
    `index` - position in the container view's list of children views.
    `persisted` - indicates if the created edge will be persisted or not
    `preferencesHint` - The preference hint that is to be used to find the appropriate preference store from which to retrieve diagram preference values. The preference hint is mapped to a preference store in the preference registry <@link DiagramPreferencesRegistry>.
  Returns:
    the created `Edge`

### createNode

    Node createNode(IAdaptable semanticAdapter,
                    View containerView,
                    java.lang.String semanticHint,
                    int index,
                    boolean persisted,
                    PreferencesHint preferencesHint)

  create a `Node`.

  Parameters:
    `IAdaptable` - (for semantic element)
    `containerView` - the container view that will contain the created view.
    `indicates` - the type of the view, it could be used later to determine the view type
    `index` - position in the container view's list of children views.
    `persisted` - indicates if the created view will be persisted or not
    `preferencesHint` - The preference hint that is to be used to find the appropriate preference store from which to retrieve diagram preference values. The preference hint is mapped to a preference store in the preference registry <@link DiagramPreferencesRegistry>.
  Returns:
    the created `Node`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.